Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Interface Principal

All Known Subinterfaces:
  Group

All Known Implementing Classes:
  Identity, IdentityScope, JMXPrincipal, KerberosPrincipal, Signer, X500Principal

    public interface Principal

This interface represents the abstract notion of a principal, which can be used to represent any entity, such as an individual, a corporation, and a login id.

See Also:
  `X509Certificate`

Method Summary
`boolean` | `equals(Object another)` Compares this principal to the specified object.
`String` | `getName()` Returns the name of this principal.
`int` | `hashCode()` Returns a hashcode for this principal.
`String` | `toString()` Returns a string representation of this principal.

Method Detail

### equals

    boolean equals(Object another)

  Compares this principal to the specified object. Returns true if the object passed in matches the principal represented by the implementation of this interface.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `another` - principal to compare with.
  Returns:
    true if the principal passed in is the same as that encapsulated by this principal, and false otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### toString

    String toString()

  Returns a string representation of this principal.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this principal.

### hashCode

    int hashCode()

  Returns a hashcode for this principal.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hashcode for this principal.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### getName

    String getName()

  Returns the name of this principal.

  Returns:
    the name of this principal.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.